package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfFinanceBsBudgetM;
import com.artfess.poi.util.HeaderNode;

import java.util.List;

/**
 * 财务--资产负债预算填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-03-02
 */
public interface QfFinanceBsBudgetMManager extends BaseManager<QfFinanceBsBudgetM> {

    boolean importExcel(List<HeaderNode> list, String mainId);

    boolean updateStatus(QfFinanceBsBudgetM t);

    boolean insertInfo(QfFinanceBsBudgetM t);

    boolean updateInfo(QfFinanceBsBudgetM t);

}
